﻿using System;
using System.Diagnostics;

namespace Logging
{
    public class BlogTraceListener : TraceListener
    {
        public override void Write(string message)
        {
            Console.Write("Write: " + message);
        }

        public override void WriteLine(string message)
        {
            Console.ForegroundColor = ConsoleColor.White;
            Console.WriteLine("WriteLine: " + message);
            Console.ForegroundColor = ConsoleColor.Gray;
        }
    }
}
